Setup: Installing lively_client

The Lively Client will requires Python 3.7+ to run successfully.

Jupyter Notebook user with python

Ensure the python module is available on your system.
You will need to make sure that the lively_client module is installed and available.
You can do so via pip install. At the moment it is hosted on our internal pypi.


Option 1

pip install --extra-index-url https://pypi.engagelively.com lively_client

Option 2

Alternatively you can install modules via the following command directly from you Notebook (make sure you have permission to do so and that you know what you are doing).

import sys
!{sys.executable} -m pip install --extra-index-url https://pypi.engagelively.com lively_client

After the package installation verify that the installation was successful. Depending on the way you installed it, you may have to restart the notebook. The below import statement should succeed without error or warning.

from lively_client import public_client


Further documentation on the lively_client API: https://engagelively.com/documentation/ and examples.

Thank you.